* PROCESO: 2011. 
*---------------------------------------------------------------------------------------------------------------------------------------------------------------------.
* CUADRO N. 10	  2011 NACIONAL .
* EGRESOS HOSPITALARIOS POR CONDICION AL EGRESO, DIAS Y PROMEDIO DE ESTADA.
* TASAS DE MORTALIDAD HOSPITALARIA, SEGN SECTOR, CLASE Y ESTABLECIMIENTO HOSPITALARIO .
*----------------------------------.
*Crear variables  de trabajo.
*----------------------------------.
compute t0 = 1.
compute t1 = 1.
compute t2 = 1.
*-----------------------------------------------------------------------------.
*Definicin de variables para la condicin de egreso.
* En el formato del cuadro.
*-----------------------------------------------------------------------------.
if con_egrpa = "01" altas = 1.
if con_egrpa = "01" daltas = dia_estad.
if con_egrpa = "02" men48 = 1.
if con_egrpa = "02" dmen48 = dia_estad.
if con_egrpa = "03" mas48 = 1.
if con_egrpa = "03" dmas48 = dia_estad.
if con_egrpa = "02" or con_egrpa = "03" bajas = 1.
if con_egrpa = "02" or con_egrpa = "03" dbajas = dia_estad.
EXECUTE.

VAR LABEL 
	t0   'Total Egresos' 
	t1   'Total Tipo'
	t2   'Total Clase'
	/daltas 'Altas'
	/dbajas 'Fallecidos'
	/dmen48 'Menos de 48 horas'
	/dmas48 '48 Horas y ms'
	/altas  'Egresos'
	/bajas 'Fallecidos'
	/men48  'Egresos menos 48 Horas'
	/mas48  'Egresos 48 horas y ms'
.

VALUE LABEL 
	t0 1	' '
	/t1 1      ' '
	/t2 1      ' '
	

*************NACIONAL **********.
* TOTALLES NACIONALES .
TABLES
/OBSERVATION dia_estad daltas dbajas
/TABLE t0 +  (sector)  by t0+dia_estad+(altas+daltas+bajas+men48+mas48+dbajas)
/STATISTICS SUM((f6)"Das Estada")  MEAN((f3.1)'Promedio Das Estada')
/TITLES 'Cuadro N. 10		Sector Privado con Fines de Lucro'
	'Egresos Hospitalarios por Condicin al Egreso, Das y Promedio de Estada'
	'Tasas de Mortalidad Hospitalaria, segn Sector, Clase y Establecimiento Hospitalario'
/CORNER. 'Sector Privado'.
EXECUTE.
