* PROCESO: 2011. 
*--------------------------------------------------------------------------------------------------------------------------------------.
* CUADRO 11 2011.
* EGRESOS HOSPITALARIOS POR CONDICION AL EGRESO Y SEXO  .
* TASA DE LETALIDAD HOSPITALARIA, SEGUN GRUPOS DE CAUSA DE MORBILIDAD.
* LISTA DE AGRUPAMIENTO DE 298 CAUSAS - CIE-10.

*---------------------------------------.
compute t = 1.
compute t1 = 1.
compute t2 = 1.
*----------------------------------------------------.
*Condicin del Egreso recodificada.
*----------------------------------------------------.
string con_egrpa (A2).
if (con_egrpa = "01")  con_egrpa = "01".
if (con_egrpa = "02" or con_egrpa = "03")  con_egrpa = "02".
string saltas (A1).
string sfall (A1).
string tfall (A1).
string taltas (A1).
if (con_egrpa = '01') saltas ='1'.
if (con_egrpa = '01') sfall ='1'.
if (con_egrpa = '01') tfall ='1'.
if (con_egrpa = '01') taltas ='1'.

*------------------------------------------.
*   Definicin de Etiquetas.
*-----------------------------------------.
VAR LABEL 
	t	'Total'
	t1	'Total Repblica'
	t2	'Total '
.
VALUE LABEL 
	/con_egrpa
	'01'	'Altas'
	'02'	'Fallecidos'
	/t 	1	' '
	/t2	1	' '
	/taltas '1' 'Altas '
	/tfall  '1' 'Fallecidos '
	/saltas
	'1'	'Sexo'
	/sfall
	'1'	'Sexo'
.
TABLES
/TABLE	(t1+cau298rx) by (t+sexo_pac+ (con_egrpa > (t2+sexo_pac)) )
/TITLES 'Cuadro N. 11'
	'Egresos Hospitalarios por Condicin al Egreso y Sexo, Tasa de Letalidad Hospitalaria, segn Grupos de Causa de Morbilidad'
            'Lista de Agrupamiento de 298 Causas - CIE - 10'
/CORNER .
EXECUTE.

