* PROCESO: 2011. 
*--------------------------------------------------------------------------------------------------------------------------------------------------------------------.
* CUADRO 16 2011.
* EGRESOS HOSPITALARIOS POR CONDICION AL EGRESO, SEXO Y TASA DE LETALIDAD HOSPITALARIA
* LISTA DE AGRUPAMIENTO DE 298 CAUSAS - CIE-10.
* MENORES DE UN AO. 
*--------------------------------------------------------------------------------------------------------------------------------------------------------------------.
* NOTAS: El value label SI es sensible a las maysculas y minsculas.
*---------------------------------------------------------------------------------------------------------------------------------------.
* Seleccin de menores de un ao, condicin de edad = 1 y 2.
*---------------------------------------------------------------------------------------------------------------------------------------.

USE ALL.
COMPUTE filter_$=(cond_edad="01" or cond_edad="02").
VARIABLE LABEL filter_$ "cond_edad="01" or cond_edad="2" (FILTER)".
VALUE LABELS filter_$  0 'No seleccionado' 1 'Seleccionado'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

*---------------------------------------.
*Crear variables  de trabajo.
*---------------------------------------.
compute t = 1.
compute t1 = 1.
compute t2 = 1.
*----------------------------------------------------.
*Condicin del Egreso recodificada.
*----------------------------------------------------.
string cegrpar (A1).
if (con_egrpa = "01")  cegrpar = "1".
if (con_egrpa = "02" or con_egrpa = "03")  cegrpar = "2".
string saltas (A1).
string sfall (A1).
string tfall (A1).
string taltas (A1).
if (con_egrpa = "01") saltas ='1'.
if (con_egrpa = '01') sfall ='1'.
if (con_egrpa = '01') tfall ='1'.
if (con_egrpa = '01') taltas ='1'.

*------------------------------------------.
*   Definicin de Etiquetas.
*-----------------------------------------.
VAR LABEL 
	t	'Total Egresos'
	t1	'Total Repblica'
	t2	'Total '
.
VALUE LABEL 
	sexo_pac 
	'01'	'Hombres'
	'02'	'Mujeres'
	/con_egrpa
	'01'	'Alta'
	'02'	'Fallecido < 48H'
	'03'	'Fallecido 48H y ms'
	/cegrpar
	'1'	'Altas'
	'2'	'Fallecidas'
	/t 	1	' '
	/t1  	1	' '
	/t2	1	' '
	/taltas '1' 'Altas '
	/tfall  '1' 'Fallecidos '
	/saltas
	'1'	'Sexo'
	/sfall
	'1'	'Sexo'
.
TABLES
/TABLE	(t1+cau298rx) by (t+sexo_pac + (cegrpar > (t2+sexo_pac)) )
/TITLES 'Cuadro N. 16'
	'Egresos Hospitalarios por Condicin al Egreso, Sexo y Tasa de Letalidad Hospitalaria'
            'Lista de Agrupamiento de 298 Causas - CIE-10'
            'Menores de un Ao'
/CORNER .
EXECUTE.





